﻿namespace OPS_AdvancedExample_ASP.Models
{
    public class LoggedCall
    {
        public string NotificationName { get; private set; }
        public string CallState { get; private set; }
        public string CallId { get; private set; }
        public string Caller { get; private set; }
        public string CallerId { get; private set; }
        public string Callee { get; private set; }
        public string Date { get; private set; }

        /// <param name="notificationName">Name of the notification request type</param>
        /// <param name="callState">Current state of the call. Call state can be Ringing, Hold, Transferred, InCall, Busy, Cancelled, Error or Completed.</param>
        /// <param name="callId">Call ID of the call</param>
        /// <param name="caller">Extension where the call originates from</param>
        /// <param name="callerId">Caller who initiated the call</param>
        /// <param name="callee">The called extension in this call</param>
        /// <param name="date">Date of the logging</param>
        public LoggedCall(string notificationName, string callState, string callId, string caller, string callerId, string callee, string date)
        {
            NotificationName = notificationName;
            CallState = callState;
            CallId = callId;
            Caller = caller;
            CallerId = callerId;
            Callee = callee;
            Date = date;
        }
    }
}